import { FailbotMessage } from '../formatters/json';
import { FailbotBackend } from '../failbot-backend';
export interface LogBackendOpts {
    app: string;
    log: (msg: FailbotMessage) => void;
}
export declare class LogBackend implements FailbotBackend {
    app: string;
    log: (msg: FailbotMessage) => void;
    constructor(opts: LogBackendOpts);
    report(error: Error, metadata?: {
        [key: string]: unknown;
    }): Promise<void>;
}
//# sourceMappingURL=log.d.ts.map